PPluginServiceDescriptor Class Reference

`#include <plugin.h>`

Inheritance diagram for PPluginServiceDescriptor:

## Public Member Functions

| PPluginServiceDescriptor ()
virtual | ~PPluginServiceDescriptor ()
virtual unsigned | GetPluginAPIVersion () const

## Protected Attributes

unsigned | version

## Constructor & Destructor Documentation

PPluginServiceDescriptor::PPluginServiceDescriptor | ( |  | ) |

inline

References PWLIB_PLUGIN_API_VERSION, and version.

virtual PPluginServiceDescriptor::~PPluginServiceDescriptor | ( |  | ) |

inline virtual

## Member Function Documentation

virtual unsigned PPluginServiceDescriptor::GetPluginAPIVersion | ( |  | ) | const

inline virtual

References version.

## Member Data Documentation

unsigned PPluginServiceDescriptor::version

protected

Referenced by GetPluginAPIVersion(), and PPluginServiceDescriptor().

The documentation for this class was generated from the following file:

- plugin.h